Mercury API
ReceiveBytes Method (length, messageSpace, offset)
Namespaces ► ThingMagic ► SerialTransportTCP ► ReceiveBytes(Int32, array<Byte>[]()[], Int32)
Reads a number of bytes from the Tcp SerialPort input buffer and writes those bytes into a byte array at the specified offset.
Declaration Syntax

C# | Visual Basic | Visual C++

    public override int ReceiveBytes(
    	int length,
    	byte[] messageSpace,
    	int offset
    )

    Public Overrides Function ReceiveBytes ( _
    	length As Integer, _
    	messageSpace As Byte(), _
    	offset As Integer _
    ) As Integer

    public:
    virtual int ReceiveBytes(
    	int length,
    	array<unsigned char>^ messageSpace,
    	int offset
    ) override

Parameters

length (Int32)
  The number of bytes to read.

messageSpace (array< Byte >[]()[])
  The byte array to write the input to.

offset (Int32)
  The offset in the buffer array to begin writing.

Return Value
The number of bytes read

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)